package com.cxytiandi.job_demo.quartz;

import java.text.SimpleDateFormat;
import java.util.Date;

import org.quartz.Job;
import org.quartz.JobBuilder;
import org.quartz.JobDetail;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.quartz.Scheduler;
import org.quartz.SchedulerException;
import org.quartz.SimpleScheduleBuilder;
import org.quartz.Trigger;
import org.quartz.TriggerBuilder;
import org.quartz.impl.StdSchedulerFactory;

public class FirstJob  implements Job {
	SimpleDateFormat df = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
	
	@Override
	public void execute(JobExecutionContext context) throws JobExecutionException {
		System.out.println(df.format(new Date()));
	}

	public static void main(String[] args) {
		try {
			// 初始化一个调度器
			Scheduler scheduler = StdSchedulerFactory.getDefaultScheduler();
			scheduler.start();
			
			JobDetail jobDetail = JobBuilder.newJob(FirstJob.class).withIdentity("myJob", "myGroup").build();
			
			SimpleScheduleBuilder schedBuilder = SimpleScheduleBuilder.simpleSchedule()
					.withIntervalInSeconds(5).repeatForever();
			
			Trigger trigger = TriggerBuilder.newTrigger().startNow().withSchedule(schedBuilder).build();
			
			scheduler.scheduleJob(jobDetail, trigger);
		} catch (SchedulerException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
	}
}
