package com.cxytiandi.job_demo.quartz;

import java.text.SimpleDateFormat;
import java.util.Date;

import org.quartz.CronScheduleBuilder;
import org.quartz.Job;
import org.quartz.JobBuilder;
import org.quartz.JobDetail;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.quartz.Scheduler;
import org.quartz.SchedulerException;
import org.quartz.SimpleScheduleBuilder;
import org.quartz.Trigger;
import org.quartz.TriggerBuilder;
import org.quartz.impl.StdSchedulerFactory;

public class JobManager {
	Scheduler scheduler = null;
	public JobManager() {
		try {
			scheduler = StdSchedulerFactory.getDefaultScheduler();
		} catch (SchedulerException e) {
			e.printStackTrace();
		}
	}
	
	public void addJob(String group, String jobId, String jobClass, String cronTime)  throws Exception {
		Class job = Class.forName(jobClass);
		JobDetail jobDetail = JobBuilder.newJob(job).withIdentity(group, jobId).build();
		CronScheduleBuilder schedBuilder = CronScheduleBuilder.cronSchedule(cronTime);
		Trigger trigger = TriggerBuilder.newTrigger().startNow().withSchedule(schedBuilder).build();
		scheduler.scheduleJob(jobDetail, trigger);
	}
	
	public void start() throws Exception {
		scheduler.start();
	}
	
	public static void main(String[] args) {
		try {
			JobManager jobManager = new JobManager();
			jobManager.addJob("g", "j", "com.cxytiandi.job_demo.quartz.FirstJob", "0/2 * * * * ?");
			jobManager.addJob("g2", "j2", "com.cxytiandi.job_demo.quartz.FirstJob2", "0/2 * * * * ?");
			jobManager.start();
		} catch (Exception e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
	}
}
